Page MenuHomePhabricator

rt-testing clients never all come up after voluntary exit
Closed, ResolvedPublic

Description

From @ssastry,

so, the rt-testing clients never all come up after voluntary exit after code updates in the night .. only a handful seem to be coming up and rt-testing goes really slow .. almost all days, I am manually issuing a restart when I get online. can you take a quick look at that code if there is anything broken there? /cc @GWicke in case you have any thoughts from old behavior.

Event Timeline

Arlolra created this task.Jul 30 2015, 8:12 PM
Arlolra claimed this task.
Arlolra raised the priority of this task from to Medium.
Arlolra updated the task description. (Show Details)
Arlolra added projects: Parsoid, Parsoid-Tests.
Arlolra added subscribers: Arlolra, GWicke, ssastry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 8:12 PM
Arlolra removed Arlolra as the assignee of this task.Dec 23 2015, 3:49 AM
ssastry closed this task as Resolved.Dec 23 2015, 4:29 AM
ssastry claimed this task.

I actually wonder if these were simple a case of stuck workers because of infinite loops / gc issues on some pages .. similar to how in production, we occasionally need root to restart stuck processes for us. I am going to close this for now and we can open a new ticket later with more details if this continues to be a problem.

ssastry reopened this task as Open.Dec 30 2015, 12:06 AM
ssastry set Security to None.
Arlolra claimed this task.Feb 3 2016, 11:13 PM

Change 268348 had a related patch set uploaded (by Arlolra):
T107481: Steal stopWorker from service-runner

https://gerrit.wikimedia.org/r/268348

Arlolra moved this task from Needs Triage to In Progress on the Parsoid board.Feb 5 2016, 5:31 AM

Change 268348 merged by jenkins-bot:
T107481: Steal stopWorker from service-runner

https://gerrit.wikimedia.org/r/268348

Arlolra closed this task as Resolved.Feb 5 2016, 7:07 PM
Arlolra renamed this task from rt-testing clients never all come up after committing suicide to rt-testing clients never all come up after committing voluntary exit.Feb 5 2016, 7:18 PM
Arlolra renamed this task from rt-testing clients never all come up after committing voluntary exit to rt-testing clients never all come up after voluntary exit.Feb 5 2016, 7:20 PM
Arlolra updated the task description. (Show Details)